GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Data Fields
grpc_chttp2_settings_parser Struct Reference

`#include <frame_settings.h>`

## Data Fields
grpc_chttp2_settings_parse_state | state
gpr_uint32 * | target_settings
gpr_uint8 | is_ack
gpr_uint16 | id
gpr_uint32 | value
gpr_uint32 | incoming_settings [GRPC_CHTTP2_NUM_SETTINGS]

## Field Documentation

gpr_uint16 grpc_chttp2_settings_parser::id

gpr_uint32 grpc_chttp2_settings_parser::incoming_settings[GRPC_CHTTP2_NUM_SETTINGS]

gpr_uint8 grpc_chttp2_settings_parser::is_ack

grpc_chttp2_settings_parse_state grpc_chttp2_settings_parser::state

gpr_uint32* grpc_chttp2_settings_parser::target_settings

gpr_uint32 grpc_chttp2_settings_parser::value

The documentation for this struct was generated from the following file:

- src/core/transport/chttp2/frame_settings.h